Portage is a package management system used by Gentoo Linux
# ChangeLog for dev-lang/mono
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/ChangeLog,v 1.141 2008/06/18 02:52:17 compnerd Exp $
18 Jun 2008; Saleem Abdulrasool
+files/mono-1.9.1-glibc-2.8-deprecated-arg-max.patch, mono-1.9.1.ebuild:
Add patch for building against glibc 2.8
31 May 2008; Jurek Bartuszek
mono-1.9.1.ebuild:
Fixed path to BigInteger patch
*mono-1.9.1 (31 May 2008)
*mono-1.9 (31 May 2008)
31 May 2008; Jurek Bartuszek
+mono-1.9.1.ebuild:
Version bump (bug #213381)
*mono-1.2.6-r3 (31 May 2008)
31 May 2008; Jurek Bartuszek
Added moonlight USE flag support (bug #213381)
19 May 2008; Samuli Suominen
Move pkgconfig to DEPEND.
02 Mar 2008; Saleem Abdulrasool
mono-1.1.16.1.ebuild, mono-1.2.2.1.ebuild, mono-1.2.3.1.ebuild,
mono-1.2.4.ebuild, mono-1.2.5.ebuild, mono-1.2.5.1.ebuild,
mono-1.2.5.1-r1.ebuild:
fix some quoting issues
02 Mar 2008; Saleem Abdulrasool
mono-1.2.6-r2.ebuild:
Fix patch naming issue (bug #212083)
*mono-1.2.6-r2 (02 Mar 2008)
02 Mar 2008; Saleem Abdulrasool
+files/mono-1.2.6-bug-347359.patch, +mono-1.2.6-r2.ebuild:
Revbump with a minor patch from svn for bug #210429
*mono-1.2.6-r1 (02 Jan 2008)
02 Jan 2008; Jurek Bartuszek
+files/mono-1.2.6-threads-types-private-prototypes.patch,
+mono-1.2.6-r1.ebuild:
Added patch fixing bug #202358
*mono-1.2.6 (14 Dec 2007)
14 Dec 2007; Jurek Bartuszek
Version bump (bug #202191)
06 Nov 2007; Chris Gianelloni
mono-1.2.5.1-r1.ebuild:
Stable on amd64 wrt bug #197067.
06 Nov 2007; Tobias Scherbaum
mono-1.2.5.1-r1.ebuild:
ppc stable, bug #197067
04 Nov 2007; Dawid Węgliński
Stable on x86 (bug #197067)
*mono-1.2.5.1-r1 (03 Nov 2007)
03 Nov 2007; Jurek Bartuszek
+files/mono-biginteger_overflow.diff, +mono-1.2.5.1-r1.ebuild:
Version bump (bug #197067)
*mono-1.2.5.1 (20 Sep 2007)
20 Sep 2007; Jurek Bartuszek
+mono-1.2.5.1.ebuild:
Version bump
*mono-1.2.5-r1 (11 Sep 2007)
11 Sep 2007; Jurek Bartuszek
+files/mono-1.2.5-remoting.patch, +mono-1.2.5-r1.ebuild:
Fixed issues with remoting (bug #192120)
11 Sep 2007; Jurek Bartuszek
Added -j1 to MAKEOPTS (bug #192059)
*mono-1.2.5 (10 Sep 2007)
10 Sep 2007; Jurek Bartuszek
+files/mono-1.2.4-pic.patch, +files/mono-1.2.5-make-check.patch,
mono-1.2.4.ebuild, +mono-1.2.5.ebuild:
- Version bump (bug #191541)
- Fix ppc compilation with PIC (bug #165547)
22 Aug 2007; Saleem Abdulrasool
Add restrict=test back as it still fails for some people
02 Jul 2007; Piotr Jaroszyński
(QA) RESTRICT clean up.
27 Jun 2007; Jurek Bartuszek
mono-1.2.2.1.ebuild, mono-1.2.3.1.ebuild, mono-1.2.4.ebuild:
LC_ALL=C is now being set in mono.eclass
26 Jun 2007; Jurek Bartuszek
+files/mono-1.2.4-make-check.patch, mono-1.1.16.1.ebuild,
mono-1.2.2.1.ebuild, mono-1.2.3.1.ebuild, mono-1.2.4.ebuild:
Added patch that allows mono-1.2.4 to pass make check, other versions received
test restriction (fixing bugs #140561, #168345)
25 Jun 2007; Jurek Bartuszek
mono-1.2.2.1.ebuild, mono-1.2.3.1.ebuild, mono-1.2.4.ebuild:
Added warnings regarding build failures on systems with active
SELinux/PIE+SSP/grsec/PAX and other security enhancements
(addressing bug #153781)
16 Jun 2007; Tobias Scherbaum
ppc stable, bug #181921
16 Jun 2007; Christian Faulhammer
stable x86, security bug 181921
31 May 2007; Jurek Bartuszek
mono-1.2.3.1.ebuild, mono-1.2.4.ebuild:
Fixed mono re-emerging bug (#146424). Credit goes to Raja R Harinath
29 May 2007; Jurek Bartuszek
Fixed typo (bug #180192)
17 May 2007; Jurek Bartuszek
Adding -j1 to emake in 1.2.4 (fixing bug #178820).
17 May 2007; Saleem Abdulrasool
Apparently the build was a fluke, still parallel build unfriendly
16 May 2007; Saleem Abdulrasool
prune unused version
*mono-1.2.4 (16 May 2007)
16 May 2007; Saleem Abdulrasool
Version bump from upstream
30 Apr 2007; Roy Marples
Added ~x86-fbsd keyword.
*mono-1.2.3.1 (24 Feb 2007)
24 Feb 2007; Saleem Abdulrasool
+mono-1.2.3.1.ebuild:
Version bump from upstream with a few bug fixes (bug #168090)
14 Feb 2007; Gustavo Zacarias
Keyworded ~sparc
*mono-1.2.3 (11 Feb 2007)
11 Feb 2007; Saleem Abdulrasool
Version bump from upstream
10 Feb 2007; Saleem Abdulrasool
-files/mono-1.1.13.8-dynamic-assembly-get-types.diff,
-files/mono-1.1.13-resource-manager.diff,
-files/mono-1.1.18-mcs-crasher-fix.diff,
-files/mono-1.2.1-zombie-processes.diff, -files/dotnet.conf,
-files/dotnet.init, -mono-1.1.13.8.1.ebuild, -mono-1.1.18.ebuild,
-mono-1.1.18-r1.ebuild, -mono-1.2.ebuild, -mono-1.2.1.ebuild:
Long overdue cleaning of mono ebuilds. 1.1.16.1 left for visual basic
14 Jan 2007; Olivier Crête
Stable on amd64 per bug #159886
08 Jan 2007; Tobias Scherbaum
Stable on ppc wrt bug #159886.
06 Jan 2007; Christian Faulhammer
stable x86, security bug #159886
21 Dec 2006; Saleem Abdulrasool
Add dep on dev-dotnet/pe-format to register the format with binfmt_misc
08 Dec 2006; Saleem Abdulrasool
Add warning that regen takes time, thanks to Anarchy for noticing
*mono-1.2.2.1 (07 Dec 2006)
07 Dec 2006; Saleem Abdulrasool
+mono-1.2.2.1.ebuild:
Version bump from upstream
*mono-1.2.1 (24 Nov 2006)
24 Nov 2006; Peter Johanson
+files/mono-1.2.1-zombie-processes.diff, +mono-1.2.1.ebuild:
Bump.
04 Nov 2006; Tobias Scherbaum
ppc stable, bug #150264
31 Oct 2006; Danny van Dyk
Marked stable on amd64.
*mono-1.1.18-r1 (28 Oct 2006)
28 Oct 2006; Peter Johanson
Revbump to push out mcs fix. D'oh.
27 Oct 2006; Christian Faulhammer
mono-1.1.13.8.1.ebuild:
x86 stable due to security bug #150264
27 Oct 2006; Peter Johanson
+files/mono-1.1.18-mcs-crasher-fix.diff, mono-1.1.18.ebuild:
Fix nasty bug in mcs cause banshee not to compile. See bug #152843.
22 Oct 2006; Jurek Bartuszek
Updated dependency for libgdiplus (was >=1.1.17, is >=1.1.18).
*mono-1.1.18 (15 Oct 2006)
*mono-1.1.13.8.1 (15 Oct 2006)
15 Oct 2006; Peter Johanson
+mono-1.1.18.ebuild:
Bump for bug #150264.
*mono-1.1.17.1 (04 Sep 2006)
04 Sep 2006; Saleem Abdulrasool
+mono-1.1.17.1.ebuild:
version bump from upstream
17 Jul 2006; Daniel Gryniewicz
Marked stable on amd64 for bug #139612
14 Jul 2006; Tobias Scherbaum
mono-1.1.13.6.ebuild:
ppc stable, bug #139612
12 Jul 2006; Peter Johanson
Fix incorrect path bug only hit building on multilib systems. See bug #140153.
12 Jul 2006; Chris Gianelloni
Stable on x86 wrt bug #139612.
*mono-1.1.16.1 (12 Jul 2006)
12 Jul 2006; Peter Johanson
+mono-1.1.16.1.ebuild:
Minor bump, and remove one obsoleted version.
*mono-1.1.16 (12 Jul 2006)
12 Jul 2006; Peter Johanson
Bump.
*mono-1.1.13.8 (01 Jul 2006)
01 Jul 2006; Peter Johanson
+files/mono-1.1.13.8-dynamic-assembly-get-types.diff,
+mono-1.1.13.8.ebuild:
Bump.
28 Apr 2006; Hanno Boeck
Fixing Manifest.
*mono-1.1.13.6 (28 Apr 2006)
28 Apr 2006; Peter Johanson
Bumpity bump.
27 Apr 2006; Marien Zwart
files/digest-mono-1.1.8.3, Manifest:
Fixing SHA256 digest, pass four
08 Apr 2006; Tobias Scherbaum
mono-1.1.13.2.ebuild:
ppc stable, bug #126119
22 Mar 2006; Mark Loeser
Stable on x86; bug #126119
20 Mar 2006; Luis Medinas
Stable on amd64 to remove mono use flag mask on amd64. See bug #126119.
*mono-1.1.13.4 (15 Mar 2006)
15 Mar 2006; Peter Johanson
mono-1.1.12.1-r1.ebuild, mono-1.1.13.1.ebuild, mono-1.1.13.2.ebuild,
+mono-1.1.13.4.ebuild:
Bump, and add autotools related fixes from Diego in bug #125949
*mono-1.1.13.2 (20 Feb 2006)
20 Feb 2006; Peter Johanson
Bumpity bump.
20 Feb 2006; Peter Johanson
-mono-1.1.9.2.ebuild, -mono-1.1.10.1.ebuild, mono-1.1.12.1-r1.ebuild,
mono-1.1.13.1.ebuild:
Remove some unneeded versions, and add a small fix to make sure we build
using bundled mcs/classlibs. Fixes bug #118062.
30 Jan 2006; Herbie Hopkins
mono-1.1.13.1.ebuild:
Update multilib fixes (small problem in mono-cairo.pc).
22 Jan 2006; Tobias Scherbaum
Marked ppc stable
*mono-1.1.13.1 (15 Jan 2006)
*mono-1.1.12.1-r1 (15 Jan 2006)
15 Jan 2006; Peter Johanson
+files/mono-1.1.13-pathfix.diff, +files/mono-1.1.13-resource-manager.diff,
-mono-1.1.10.ebuild, -mono-1.1.12.ebuild, -mono-1.1.12.1.ebuild,
+mono-1.1.12.1-r1.ebuild, +mono-1.1.13.1.ebuild:
Bump to new release, revision bump older release to include fix for problem
with boo, and remove some older releases.
*mono-1.1.12.1 (23 Dec 2005)
23 Dec 2005; Peter Johanson
Small bugfix bump.
*mono-1.1.12 (22 Dec 2005)
22 Dec 2005; Peter Johanson
Bumpity bump.
*mono-1.1.10.1 (15 Dec 2005)
15 Dec 2005; Peter Johanson
Tiny bump.
14 Nov 2005; Herbie Hopkins
Update multilib fixes
*mono-1.1.10 (14 Nov 2005)
14 Nov 2005; Peter Johanson
Bump.
18 Oct 2005; Herbie Hopkins
Remove amd64 replace-flags, this issue seems to be fixed in 1.1.9*.
15 Oct 2005; Peter Johanson
mono-1.1.8.3.ebuild:
Mark stable on x86, and remove the old 1.0.6 version.
*mono-1.1.9.2 (15 Oct 2005)
15 Oct 2005; Peter Johanson
Bumpity bump.
28 Sep 2005; Peter Johanson
-mono-1.1.8.1.ebuild, -mono-1.1.8.2.ebuild, mono-1.1.8.3.ebuild,
-mono-1.1.9.ebuild, mono-1.1.9.1.ebuild:
Add missing sys-devel/bc dep from bug #107519. Remove some older 1.1.x ebuilds.
24 Sep 2005; Peter Johanson
+files/mono-1.1.9.1-io-layer-fix.diff, mono-1.1.9.1.ebuild:
Add fix for bug #106971, and remove some unneeded '|| die' text.
*mono-1.1.9.1 (22 Sep 2005)
22 Sep 2005; Peter Johanson
Bump. Minor bugfix release.
17 Sep 2005; Peter Johanson
mono-1.1.9.ebuild:
Fix replace-flags usage.
16 Sep 2005; Peter Johanson
Add flag fix for amd64. See bug #96719.
*mono-1.1.9 (16 Sep 2005)
16 Sep 2005; Peter Johanson
Bump to new release.
*mono-1.1.8.3 (04 Aug 2005)
04 Aug 2005; Peter Johanson
+files/mono-1.1.8.3-array-getvalue.diff, +files/mono-1.1.8.3-icall.diff,
-mono-1.1.6.ebuild, -mono-1.1.6-r1.ebuild, -mono-1.1.7.ebuild,
+mono-1.1.8.3.ebuild:
Bump to new release, including fix for bug #100515. Remove some older 1.1.x
versions.
*mono-1.1.8.2 (06 Jul 2005)
06 Jul 2005; Peter Johanson
Bump.
*mono-1.1.8.1 (21 Jun 2005)
21 Jun 2005; Peter Johanson
+mono-1.1.8.1.ebuild:
Bump with some key fixes to the 1.1.8 release, and remove the duff 1.1.8
release.
*mono-1.1.8 (17 Jun 2005)
17 Jun 2005; Peter Johanson
Bump.
03 Jun 2005; Peter Johanson
-mono-1.1.5-r1.ebuild:
Remove some older versions.
03 Jun 2005; Peter Johanson
+files/mono-1.1.7-ppc-tls.diff, mono-1.1.7-r1.ebuild:
Add patch to fix PPC issues. See bug #93765.
*mono-1.1.7-r1 (26 May 2005)
26 May 2005; Peter Johanson
Revision bump with multilib fixes from Herbs.
18 May 2005; Peter Johanson
Fix the digest, hopefully for real this time.
17 May 2005; Peter Johanson
Fix SRC_URI. See bug #92959.
17 May 2005; David Holm
mono-1.1.5-r1.ebuild, mono-1.1.6.ebuild, mono-1.1.6-r1.ebuild,
mono-1.1.7.ebuild:
Masked Mono 1.1.x on ppc since none of them work right now
13 May 2005; Peter Johanson
mono-1.0.6.ebuild, mono-1.1.4.ebuild, mono-1.1.5-r1.ebuild,
mono-1.1.6.ebuild, mono-1.1.6-r1.ebuild, mono-1.1.7.ebuild:
have_NPTL is going the way of the dodo.
06 May 2005; Peter Johanson
Force tls=__thread on amd64. See bug #83770.
*mono-1.1.7 (05 May 2005)
05 May 2005; Peter Johanson
Bump.
29 Apr 2005; Peter Johanson
mono-1.1.5-r1.ebuild, mono-1.1.6.ebuild, mono-1.1.6-r1.ebuild:
Make the libgdiplus dep optional, using the X use flag, as libgdiplus pulls
that in.
*mono-1.1.6-r1 (14 Apr 2005)
14 Apr 2005; Peter Johanson
+files/mono-1.1.6-r42300.diff, +mono-1.1.6-r1.ebuild:
Add a fix for amd64 as exposed by muine. See bug #88041.
08 Apr 2005; Peter Johanson
mono-1.1.5-r1.ebuild, mono-1.1.6.ebuild:
Add an RDEPEND on libgdiplus, so installs of mono have a working
System.Drawing (and SWF correspondingly). See bug #86733. Thanks to Scott
Paul Robertson
07 Apr 2005; Peter Johanson
-mono-1.0.4-r1.ebuild:
Remove the 1.0.4* mono ebuilds.
*mono-1.1.6 (31 Mar 2005)
31 Mar 2005; Peter Johanson
mono-1.1.5-r1.ebuild, -mono-1.1.5.ebuild, +mono-1.1.6.ebuild:
Bump, remove the older sigaltstack 1.1.5 ebuild, and clean up a few comments
that had been left in accidentally.
*mono-1.1.5-r1 (30 Mar 2005)
30 Mar 2005; Peter Johanson
Revision bump to disable sigaltstack. It's broken horribly, and definitely
doesn't warrant a local USE flag.
27 Mar 2005; Peter Johanson
+files/mono-1.1.5-icu-linking.diff, mono-1.1.5.ebuild:
Fix for linking against ICU when USE=icu. See bug #86723.
*mono-1.1.5 (25 Mar 2005)
25 Mar 2005; Peter Johanson
+files/mono-1.1.5-pathfix.diff, +files/mono-1.1.5-r42108.diff,
+files/mono-1.1.5-r42122.diff, +mono-1.1.5.ebuild:
Bump, includes a few important fixes from SVN since the release, and the
pathfix stuff from the 1.0.x mono ebuilds.
21 Mar 2005; David Holm
Stable on ppc.
14 Mar 2005; Peter Johanson
Mark a 1.0.4 mono stable too.
14 Mar 2005; Peter Johanson
-mono-0.28.ebuild, -mono-1.0.2-r1.ebuild, -mono-1.0.2.ebuild,
-mono-1.0.5-r2.ebuild, -mono-1.0.5-r3.ebuild, -mono-1.0.5-r4.ebuild,
mono-1.0.5-r5.ebuild:
Mark stable on x86, and remove a *bunch* of old cruft.
*mono-1.0.5-r4 (10 Mar 2005)
10 Mar 2005; Peter Johanson
+files/dotnet.conf, +files/dotnet.init, +files/mcs-1.0.5-pathfix.diff,
+files/mono-1.0-segv.diff, +mono-0.28.ebuild, +mono-1.0.2-r1.ebuild,
+mono-1.0.2.ebuild, +mono-1.0.4-r1.ebuild, +mono-1.0.4.ebuild,
+mono-1.0.5-r2.ebuild, +mono-1.0.5-r3.ebuild, +mono-1.0.5-r4.ebuild,
+mono-1.0.5-r5.ebuild, +mono-1.0.6.ebuild, +mono-1.1.4.ebuild:
Moved from dev-dotnet to dev-lang.
*mono-1.0.5-r5 (07 Mar 2005)
07 Mar 2005; Peter Johanson
Revision bump to remove gmcs script when installing mono-1.0.5. We don't
install the 2.0 profile stuff, including gmcs, on mono-1.0.x.
22 Feb 2005; Peter Johanson
Change pnet blocker to allow people to install a new enough pnet along side
mono-1.1.4
*mono-1.0.5-r4 (21 Feb 2005)
21 Feb 2005; Peter Johanson
-mono-1.0.1-r2.ebuild, -mono-1.0.1.ebuild, -mono-1.0.5-r1.ebuild,
+mono-1.0.5-r4.ebuild, -mono-1.0.5.ebuild, +mono-1.1.4.ebuild:
Add 1.0.5-r4, which now works for NPTL glibc using only gcc-3.3.5. This is
hopefully the new target for stabalization. Also add in new mono-1.1.4, which
will remain p.masked but in portage for amd64 folks. Removed some older
ebuilds as well.
19 Feb 2005; Peter Johanson
Remove the gmcs wrapper script, as on mono-1.0.x, we don't install gmcs
*mono-1.0.6 (18 Feb 2005)
18 Feb 2005; Peter Johanson
Bump. NPTL problem seems no longer to rely on gcc-3.4 to work. See bug #63734
for the long, painful details.
18 Jan 2005; Rainer Groesslinger
mono-1.0.1-r1.ebuild, mono-1.0.1-r2.ebuild, mono-1.0.1.ebuild,
mono-1.0.2-r1.ebuild, mono-1.0.2.ebuild, mono-1.0.4-r1.ebuild,
mono-1.0.4.ebuild, mono-1.0.5-r1.ebuild, mono-1.0.5-r2.ebuild,
mono-1.0.5-r3.ebuild, mono-1.0.5.ebuild:
only block older versions of dev-dotnet/pnet (bug #39369)
04 Jan 2005; Peter Johanson
mono-1.0.5-r3.ebuild:
Fixes for installations on systems without mono already installed. See bug
#75560
02 Jan 2005; Peter Johanson
mono-1.0.5-r3.ebuild:
Add PLATFORM=linux fix to one more spot.
23 Dec 2004; Peter Johanson
mono-1.0.5-r3.ebuild:
Make sure PLATFORM=linux, since this is borking on some architectures somehow.
See bug #75272.
21 Dec 2004; Peter Johanson
mono-1.0.5-r3.ebuild:
Remove the amd64 keywords from these, as they now require the JIT to build,
and amd64 has no working JIT in 1.0.x
20 Dec 2004; Peter Johanson
mono-1.0.5-r3.ebuild:
Fix for upgrades from 0.28 era mono versions. Thanks to dma`
20 Dec 2004; Peter Johanson
+files/mcs-1.0.5-pathfix.diff:
Add a missing patch. Oops.
*mono-1.0.5-r3 (20 Dec 2004)
20 Dec 2004; Peter Johanson
+mono-1.0.5-r3.ebuild:
Revision bump pthreads and nptl mono versions that now build mcs and class
libs as well. Includes fix for bug #72770/66528. Thanks to foser
*mono-1.0.5 (13 Dec 2004)
13 Dec 2004; Peter Johanson
+mono-1.0.5.ebuild:
Bump.
03 Nov 2004; Peter Johanson
-mono-0.30.ebuild, -mono-0.31.ebuild, -mono-0.91.ebuild, -mono-0.95.ebuild,
-mono-0.96.ebuild, -mono-0.97.ebuild, -mono-1.0.ebuild:
Long needed house cleaning.
*mono-1.0.4 (03 Nov 2004)
03 Nov 2004; Peter Johanson
+mono-1.0.4.ebuild:
Bump.
29 Oct 2004; Peter Johanson
mono-0.30.ebuild, mono-0.31.ebuild, mono-0.91.ebuild, mono-0.95.ebuild,
mono-0.96.ebuild, mono-0.97.ebuild, mono-1.0.1-r1.ebuild,
mono-1.0.1-r2.ebuild, mono-1.0.1.ebuild, mono-1.0.2-r1.ebuild,
mono-1.0.2.ebuild, mono-1.0.ebuild:
Change the masked mono to include a fix for NPTL systems available for
gcc-3.4. Please test. Also fixed the LICENSE syntax.
23 Sep 2004; Peter Johanson
Fix a small typo.
*mono-1.0.2 (22 Sep 2004)
22 Sep 2004; Peter Johanson
+mono-1.0.2.ebuild:
Bump. Includes both a non-NPTL enabled and NPTL version. NPTL version masked
pending a resolution to issues in GC.
18 Aug 2004; Peter Johanson
Explicitly setting the threading implementation. Was sometimes choosing
__thread over pthread. Thanks to JohanH in #muine on freenode.
18 Aug 2004; Peter Johanson
Better check for requested NPTL support in the NPTL-unsupported 1.0.1-r1
release.
*mono-1.0.1-r1 (17 Aug 2004)
17 Aug 2004; Peter Johanson
+mono-1.0.1-r2.ebuild:
Two new versions. One removes all NPTL support, in hopes of being marked
stable soon. -r2 keeps the support, and is package.masked.
*mono-1.0.1 (05 Aug 2004)
05 Aug 2004; Peter Johanson
Bump. New bugfix release. Only minimal changes.
10 Jul 2004; Peter Johanson
mono-1.0.ebuild:
Fix for amd64. See bug #55722
*mono-1.0 (30 Jun 2004)
30 Jun 2004; Peter Johanson
1.0. Nuff said.
29 Jun 2004; Peter Johanson
Fix for installation for first time installs. See bug #55229 and #55393.
28 Jun 2004; Peter Johanson
Build fix. See bug #55393.
27 Jun 2004; Peter Johanson
Fix the digest.
*mono-0.97 (27 Jun 2004)
27 Jun 2004; Peter Johanson
Release candidate goodness.
*mono-0.96 (16 Jun 2004)
16 Jun 2004; Peter Johanson,
Beta3 loves you.
02 Jun 2004; Aron Griffis
mono-0.91.ebuild, mono-0.95.ebuild:
Fix use invocation
02 Jun 2004; David Holm
mono-0.95.ebuild:
Closed bug #51171.
02 Jun 2004; David Holm
Added to ~ppc.
*mono-0.95 (02 Jun 2004)
02 Jun 2004; Peter Johanson
Beta2. You know you love it.
10 May 2004; Travis Tilley
~amd64 keyword added
05 May 2004; David Holm
Added to ~ppc.
*mono-0.91 (05 May 2004)
05 May 2004; Peter Johanson
Beta1 baby! Now with fun-filled GAC!
29 Mar 2004; Peter Johanson
Added nptl support behind a nptl USE flag and using have_NPTL from eutils.
Blame tberman if things break, he said he'd take the bugs.
20 Mar 2004; Todd Berman
adding --with-nptl=no
*mono-0.31 (19 Mar 2004)
19 Mar 2004; Todd Berman
version bump
*mono-0.30.1 (14 Feb 2004)
14 Feb 2004; Todd Berman
version bump
*mono-0.30 (13 Feb 2004)
13 Feb 2004; Todd Berman
mono-0.30.ebuild:
Adding 0.30, removing 0.26
*mono-0.28 (04 Oct 2003)
04 Oct 2003; Rainer Groesslinger
new version
*mono-0.26-r1 (29 Sep 2003)
29 Sep 2003; Rainer Groesslinger
fix for building mcs
provided by pcgod@gmx.net (bug #26839)
26 Aug 2003; Rainer Groesslinger
mono-0.24-r1.ebuild, mono-0.25-r1.ebuild, mono-0.25.ebuild,
mono-0.26.ebuild:
Add a block for dev-dotnet/pnet because both are using
/usr/bin/ilasm for converting IL assembly source files into an IL binary
*mono-0.26 (26 Aug 2003)
26 Aug 2003; Rainer Groesslinger
new version, minor fixes because of the new build system
compilation of mcs is disabled for now (see bug #26839)
*mono-0.25 (24 Jul 2003)
24 Jul 2003; Todd Berman
mono-0.23-r1.ebuild, mono-0.24-r1.ebuild, mono-0.25-r1.ebuild,
mono-0.25.ebuild, files/dotnet.conf, files/dotnet.init:
Moving to dev-dotnet
20 Jul 2003; Todd Berman
mono-0.24-r1.ebuild, mono-0.25-r1.ebuild, mono-0.25.ebuild:
Fixing licenses for mono, added GPL-2 and X11
20 Jul 2003; Todd Berman
Fixed up depend issues, thanks liquidx :)
16 Jul 2003; Todd Berman
Changing to blocking libxml2-2.5.8, portage version with this fully working is
masked, but it will hopefully be stable soon, before 1.4 for sure.
16 Jul 2003; Todd Berman
libxml2-2.5.8 breaks xslt on mono, and until ! blocker deps work, masking it
like this.
*mono-0.25-r1 (13 Jul 2003)
13 Jul 2003; Todd Berman
Changed gc to included (modified boehm), its required by the debugger (next
piece to enter portage).
*mono-0.25 (27 Jun 2003)
27 Jun 2003; foser
New version
*mono-0.24-r1 (12 May 2003)
12 May 2003; Rainer Groesslinger
mono-0.24-r1.ebuild, files/dotnet.conf, files/dotnet.init:
init script provided by
Per Wigren
with some enhancements added
*mono-0.24 (08 May 2003)
08 May 2003; foser
New version, use new compiler for mcs compilation and path fixes (#17614)
*mono-0.23-r1 (12 May 2003)
11 Jul 2003; Daniel Ahlberg
Added missing changelog entry.
*mono-0.23 (08 Mar 2003)
12 Mar 2003; foser
Install icons as requested/done by mathias.hasselmann@gmx.de
08 Mar 2003; foser
New version
*mono-0.22 (06 Mar 2003)
06 Mar 2003; foser
New version
*mono-0.21 (28 Feb 2003)
28 Feb 2003; foser
New version
*mono-0.20-r1 (27 Feb 2003)
28 Feb 2003; foser
Removed redundant patch, there was another way to do this duh :/
27 Feb 2003; foser
Compiles mcs from scratch now
Initial work done by Artur Brodowski
Hacked on a lot by me to get it right
Now also uses mono eclass
*mono-0.20 (24 Feb 2003)
24 Feb 2003; foser
New version
*mono-0.19 (22 Jan 2003)
22 Jan 2003; Brandon Low
New version
*mono-0.18 (13 jan 2003)
13 Jan 2003; foser
New version
*mono-0.17 (10 Dec 2002)
10 Dec 2002; foser
New version
*mono-0.16 (24 Oct 2002)
24 Oct 2002; foser
New version, now depends on boehm-gc
*mono-0.13 (29 Jul 2002)
29 Jul 2002; Kevyn Shortell
Added >=glib-2.x as a dependency, closing bug #5708. Many thanks to Nathan
Sharfi
find the bug =).
*mono-0.13 (28 Jul 2002)
28 Jul 2002; Phil Bordelon
Added pkgconfig as a dependency, closing bug #5665. Thanks to Nathan
Sharfi
27 Jul 2002: Kevyn Shortell
updated to mono-0.13.ebuild. The ebuild was submitted by Luis Mayoral
Tested on PPC and X86, failed PPC. repo'd and submitted.
*mono-0.12 (28 Jul 2002)
28 Jul 2002; Phil Bordelon
Added pkgconfig as a dependency, closing bug #5665. Thanks to Nathan
Sharfi
24 Jul 2002: Brandon Low
Doesn't like parallel make, and .keep a dir that it might need (othewise why did
it create it?)
23 Jul 2002; Phil Bordelon
PLEASE NOTE that the build has been known to bomb on at least one machine, although
it worked on all of the rest of them that we tested it on. This is very much
work-in-progress software, so please take that into account before you start to
post bugs.
23 Jul 2002; Phil Bordelon
grab 'ChangeLog,' not 'Changelog.' Fixed.
23 Jul 2002; Phil Bordelon
Original release. The ebuild was submitted by Luis Mayoral
Lintool'd and repoman'd by me.
AUX mono-1.1.13-pathfix.diff 658 RMD160 855a6fc37cce70874024703061015f96654f0d0a SHA1 5b3d72d452d046f36c8c6921afc397945d86f5e3 SHA256 b185fb90134584a8f4be4f8180ae395ac74b73ff71cba7c76ddebdfd81254376
AUX mono-1.2.4-make-check.patch 8256 RMD160 d29fbb8944043ad39562099101ae6f4520f01ac7 SHA1 399fd8f2f9a8d9c36beac51c4284482088024ff4 SHA256 722c3b8da0bdbdc9a97f085ee334672a173f6550832036e735688c05ae383a2a
AUX mono-1.2.4-pic.patch 515 RMD160 7e6b6bf1bf4279881f5b03135d22f1bf488bed61 SHA1 fa8b18dde84c4305341fafafc88cda725dded3b1 SHA256 daab8ca27e5530d688ba611870c62d558be122781776aed8c0ecd97a56465a63
AUX mono-1.2.5-make-check.patch 7242 RMD160 2969a77b23bdb3d151115118d19bff49bebaf91e SHA1 a6b922c1536b12f8c6d1db7c0047273622c3035d SHA256 a40da914a3b6d262781df2089d19d1f096c2920921bcf2031f7c7748bef2734f
AUX mono-1.2.5-remoting.patch 1798 RMD160 17f42b6d663ee80d86e71e3facc9630f36f4d4c6 SHA1 3fe189495abcac107318f08ee1e4c4a7ee8c6cc1 SHA256 42d29fa86fe92edb8cc24f4dc62f77d5f20075ecf97c211fc63a02ed91f5da8c
AUX mono-1.2.6-bug-347359.patch 468 RMD160 9057edfe349ae587cc73d2a07011faf64e092095 SHA1 26e350f31c54f29d8e407cb4ea3d31333bafb83e SHA256 3ce69a3b5129bc0715eaa46213e28436acfeabdb11e35818a8a3be9ea7fd06c9
AUX mono-1.2.6-threads-types-private-prototypes.patch 1341 RMD160 a0febde503971203d1ebf7f1274e42f95a5ed3b6 SHA1 b61bf000d7064cb76787954941696c17fa55c8d1 SHA256 0f5ac74f73817749de78c0d9435294bf148c11faef8c67729ce409493a7ee0ff
AUX mono-1.9.1-glibc-2.8-deprecated-arg-max.patch 644 RMD160 e708d40581b1c354208dea3acafa749c1e3a0b58 SHA1 da9063b7444f29aff2387964d98724b085db3ffb SHA256 53bd15e556f5e41c029614fcba3be863c5c047a9d70bef6e6e3103ec5980cbae
AUX mono-biginteger_overflow.diff 848 RMD160 1f2cb38e577102943399459e2ef0f511dcad5209 SHA1 15203be56015aed4a9b63ca3ade01d3a22f4bae3 SHA256 adc10b8a97cbcb6b4758f7de041eee757259d55e1e2cbaf84a89e5ef83e46806
DIST mono-1.1.16.1.tar.gz 19115095 RMD160 3ccf59d5e8f3e7ce74bccd495d7a8413a0fdce9c SHA1 fd68988e2d6002f4b631edfb8dee372bc9d979b3 SHA256 6404bd0b34c642bb159328486949424d7d51f444cfbed5c83ee5f4ee3ad34b0f
DIST mono-1.2.2.1.tar.gz 19979026 RMD160 d55d5627bb3fe4b8c4e4640aecca32713cba3e7f SHA1 d956f293d297d4ee550c6877b6b468259dac126f SHA256 d68f597c303678c3f325f552a0e2780b613dbf34d093c2269c002127be4953e5
DIST mono-1.2.3.1.tar.gz 20694945 RMD160 0dd046f12041553bc943269ef4e0a93f145c57ca SHA1 9de19e0a29ea47857090d9d2c19168f67152da41 SHA256 b177ced4e3ec0c2efc6a4e17f1f87f6e852f319332d4f138d25d4a68ffba2c78
DIST mono-1.2.4.tar.bz2 17146737 RMD160 f8886b7690dde27c433484fcfaff1913c60a874a SHA1 b09aaf583f203cd6aaf511fb1f17ed356dbaa586 SHA256 780987a48256e6aff4206364a59f131a9aafbd5e3aa36694380d27b1d955176c
DIST mono-1.2.5.1.tar.bz2 17492757 RMD160 8000374d9aaa3149599ba83079959303a6bae014 SHA1 c5f843cfdbb1d0114059c7d2d9ba2477529d22a8 SHA256 434f91032e48c03e1202ba3cef1648e2708eeefcf51143d3547e34acc9c68a96
DIST mono-1.2.5.tar.bz2 17503807 RMD160 aaef7d2d8940b917369eabe205c118d887e7ae32 SHA1 2ca60493d048b9fbef551e26ff00e9dbd4c80b96 SHA256 2eedf307600e057776cfc2801ac54cded4d5d595d32b549f3b781cc762ade1c6
DIST mono-1.2.6.tar.bz2 18163130 RMD160 c6536b008cb73845943956c9ab365589a28c013c SHA1 f51f2e14d05313dba4b2d3fd5a47a9a3361ebeae SHA256 24cc4f396cac3053c7ba3fe68bc1b80359d75dc4f54a85f39a73cabc3d3f560f
DIST mono-1.9.1.tar.bz2 18429855 RMD160 32659841ef5de912b8064f7b1f0452304ffd35d0 SHA1 a6229bb625dcdbcc992aef3f8049bf1b27205db7 SHA256 990af2fa20ad4e99ae5000df1afdb2e3b70400ba22d62e8917123d6a9d966397
DIST mono-1.9.tar.bz2 18416956 RMD160 abc62137b738d9e84b8564018ffaa85cb76f45c3 SHA1 1008f1bacb04de9ff9f5d87808ab0c5fba577a9d SHA256 3fbd27d1ecd6c7202403fd765b56ef48202a572b549aa71ace1f351ad4182d6b
EBUILD mono-1.1.16.1.ebuild 2839 RMD160 7185e23322d99e533cb264e94f04a8e8413d1715 SHA1 c451968dff5f63ac44fc01d6aff46ea5a7b1208a SHA256 cb1465b677c4c63b294fefa7b2afbf4860c0bde081b071202df0d23ab176dd28
EBUILD mono-1.2.2.1.ebuild 3136 RMD160 6959854dfa8d354f2f2528da9e4e9e87f4f3f9a8 SHA1 8dddbd8cf81fde077c3a0900f328a4430d96801f SHA256 be7f4c984a6a5ec99ce467c575476057ba54a9ca5a4b4f220471c101c3a9c95f
EBUILD mono-1.2.3.1.ebuild 3157 RMD160 736eb357a4beb1e9aff8ee874d2c572cab866e78 SHA1 c3150d876b3a9e97a748bb4f66463dda650cf5cd SHA256 91929b5ce18a0969ec657fc85527edf8c660418280cfc97fa3ae9a3f8a821108
EBUILD mono-1.2.4.ebuild 3641 RMD160 77f25e5a0c7547b71323ce3ea3508fc1c0280dd7 SHA1 6f33e95456339c9fa08515a853d40fea26fe925a SHA256 80588a0f8fdad384f316bd549c44924984e8f211b348f79bcedd120596fff2c8
EBUILD mono-1.2.5.1-r1.ebuild 3636 RMD160 329054cd7c5f9ac414229c479670eedc65542d5b SHA1 f248f71b77f1582a7a1e58c316cb2039595927b1 SHA256 85bdc359b2997ef55a9741e92a3423ccea7236befa88b34a7dd2cedab7811d3f
EBUILD mono-1.2.5.1.ebuild 3583 RMD160 9069e018edd18945cc961dd0adf99e3e66de266a SHA1 dbdfdd3088f6e6cdfc87ef0b0d1c02d9fde85c7d SHA256 516d17a3440898ea3413683eb3ca447c998b22aadb5078de866c0e433efca64c
EBUILD mono-1.2.5.ebuild 3647 RMD160 cbe5ec8265f34589122f08b9a33665760a6e7344 SHA1 92c2e032eafcc01d3bc36012a2d3cc13e121c87b SHA256 0bfd7f811b94c1daa9597e4f9a25e683a91a4f7f10beeb305a71acd9f21218ee
EBUILD mono-1.2.6-r1.ebuild 3720 RMD160 28a317b87f35738fc075246923ceca6dd6f9e14f SHA1 75d41791ed72f049be44a964de68cdcefa173280 SHA256 3a9cfbf979e4b322c18568540cd2bcd58a0870047f17eb2260e1f41de5c768ad
EBUILD mono-1.2.6-r2.ebuild 3842 RMD160 9fe9f573186c7251496986722191791dbf258cdc SHA1 d2cfb9ee32c862b395e9e2fe74a2e1cb75938323 SHA256 8eacf7d7e853051ca4ee277c774fa6dead0969d90f13993e76e8a2c6e09b4fa2
EBUILD mono-1.2.6-r3.ebuild 3917 RMD160 6c680c414a4741fbfe2e20dd5b6120561de8c46d SHA1 8b32f6ca403becc675713fe84fad202255988e24 SHA256 915c05b51344c249c821191adb48568d4516689eff4937e4b4992088f8dfc0eb
EBUILD mono-1.2.6.ebuild 3570 RMD160 f8bb1f38515d8a48ba0a1c1498cfe9dcd0a48968 SHA1 d6983276047fc1bd6515926ed373af67b2087bd2 SHA256 362b9c4c5efeab2430086cd874d9bb99be3f37d59918f81565eaf3a0a3ba3635
EBUILD mono-1.9.1.ebuild 3667 RMD160 ea021f9d0d82c06e1284e839d71278a8d75d277e SHA1 6d0f9b58ab233bb77cc0478e6f88977ad46e8932 SHA256 4f2912b09f00d0ab408300eb9c26333f07d8804de9eaac8de19fd4bf1ea2e40f
EBUILD mono-1.9.ebuild 3593 RMD160 9118083db80635819bd163053364dc0081d17733 SHA1 27052b56bd4506950a61e5ab3a7dd86570cec946 SHA256 a27845fcfa90fe413dd57a404f20b3cd87216c9444e7dadb5a5c29576c7f3cf5
MISC ChangeLog 30871 RMD160 e5f09148273459394afd292e8e6f40fe580543c1 SHA1 fc635a0034ce0c6e874f6bd448ba0c55f70a4846 SHA256 7867dfa2c9a537914bdff2d94ae9d0b047f636727d362ee6f9440757511f7c5c
MISC metadata.xml 159 RMD160 41527b6d3fa74dfdcd619b7d91c478b72ecc8ae8 SHA1 ac19a418765e817e54d4c54c1992c9062d5dcf3e SHA256 986c3e2fa3baa5d6e8c0b5c27a2550601780d0cc7857f7f1c01523491706d909
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.1.16.1.ebuild,v 1.9 2008/05/19 09:48:24 drac Exp $
inherit eutils mono flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com/"
SRC_URI="http://www.go-mono.com/sources/mono-${PV:0:3}/${P}.tar.gz"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="nptl X"
RDEPEND=">=dev-libs/glib-2
dev-libs/libxml2
X? ( >=dev-dotnet/libgdiplus-1.1.16 )
sys-devel/bc
!
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
RESTRICT="test"
src_unpack() {
unpack ${A}
cd "${S}"
# Fix munging of Unix paths
epatch "${FILESDIR}/${PN}-1.1.13-pathfix.diff"
# Install all our .dlls under $(libdir), not $(prefix)/lib
if [ $(get_libdir) != "lib" ] ; then
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-e 's:$(exec_prefix)/lib:$(libdir):' \
-e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am \
"${S}"/configure.in || die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in || die "sed failed"
fi
# Remove the dummy ltconfig and leave to libtoolize handling it
rm -f "${S}/libgc/ltconfig"
eautoreconf
}
src_compile() {
strip-flags
local myconf="--with-preview=yes"
# Force __thread on amd64. See bug #83770
if use amd64
then
myconf="${myconf} --with-tls=__thread"
else
if use nptl
then
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
fi
# Force the use of the monolite mcs, to prevent us from trying to build
# with old buggy classlibs/mcs versions. See bug #118062
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_install() {
make DESTDIR="${D}" install || die
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
pkg_postinst() {
ewarn "This version of mono has changed the assembly version for"
ewarn "ICSharpCode.SharpZipLib, which may break some installed"
ewarn "applications such as monodoc. Please re-emerge monodoc and any"
ewarn "other packages you have which may make use of this library."
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.2.1.ebuild,v 1.11 2008/03/02 19:34:27 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.gz"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.2 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}/configure.in" \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}/libgc/ltconfig"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
if use nptl ; then
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.3.1.ebuild,v 1.8 2008/03/02 19:34:27 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.gz"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.3 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}/configure.in" \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}/libgc/ltconfig"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
if use nptl ; then
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.4.ebuild,v 1.13 2008/03/02 19:34:27 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ppc ~sparc x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}/configure.in" \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
epatch "${FILESDIR}/${P}-make-check.patch" || die "patch failed"
epatch "${FILESDIR}/${P}-pic.patch" || die "patch failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}/libgc/ltconfig"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.5.1-r1.ebuild,v 1.5 2008/03/02 19:34:27 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="amd64 ppc ~sparc x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}/configure.in" \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
epatch "${FILESDIR}/${PN}-1.2.4-pic.patch" || die "patch failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}/libgc/ltconfig"
epatch "${FILESDIR}/mono-biginteger_overflow.diff"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.5.1.ebuild,v 1.2 2008/03/02 19:34:27 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}/configure.in" \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
epatch "${FILESDIR}/${PN}-1.2.4-pic.patch" || die "patch failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}/libgc/ltconfig"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.5.ebuild,v 1.3 2008/03/02 19:34:27 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}/configure.in" \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
epatch "${FILESDIR}/${P}-make-check.patch" || die "patch failed"
epatch "${FILESDIR}/${PN}-1.2.4-pic.patch" || die "patch failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}/libgc/ltconfig"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}/mcs/build/deps/use-monolite"
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.6-r1.ebuild,v 1.1 2008/01/02 06:13:22 jurek Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}"/libgc/ltconfig
epatch "${FILESDIR}"/mono-biginteger_overflow.diff
# Fixes bug #202358, see
# https://bugzilla.novell.com/show_bug.cgi?id=349952
epatch "${FILESDIR}"/${P}-threads-types-private-prototypes.patch
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}"/mcs/build/deps/use-monolite
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.6-r2.ebuild,v 1.2 2008/03/02 19:19:49 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}"/libgc/ltconfig
epatch "${FILESDIR}"/mono-biginteger_overflow.diff
# Fixes bug #202358, see
# https://bugzilla.novell.com/show_bug.cgi?id=349952
epatch "${FILESDIR}"/${P}-threads-types-private-prototypes.patch
# Fixes bug #210429, see
# https://bugzilla.novell.com/show_bug.cgi?id=347359
epatch "${FILESDIR}/${P}-bug-347359.patch"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}"/mcs/build/deps/use-monolite
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.6-r3.ebuild,v 1.1 2008/05/31 11:25:25 jurek Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X moonlight nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}"/libgc/ltconfig
epatch "${FILESDIR}"/mono-biginteger_overflow.diff
# Fixes bug #202358, see
# https://bugzilla.novell.com/show_bug.cgi?id=349952
epatch "${FILESDIR}"/${P}-threads-types-private-prototypes.patch
# Fixes bug #210429, see
# https://bugzilla.novell.com/show_bug.cgi?id=347359
epatch "${FILESDIR}/${P}-bug-347359.patch"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
if use moonlight ; then
myconf="${myconf} --with-moonlight"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}"/mcs/build/deps/use-monolite
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.6.ebuild,v 1.1 2007/12/14 19:59:25 jurek Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}"/libgc/ltconfig
epatch "${FILESDIR}"/mono-biginteger_overflow.diff
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}"/mcs/build/deps/use-monolite
econf ${myconf} || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.9.1.ebuild,v 1.3 2008/06/18 02:52:17 compnerd Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl moonlight"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.9 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}"/libgc/ltconfig
epatch "${FILESDIR}/${PN}-biginteger_overflow.diff"
epatch "${FILESDIR}/${PN}-1.9.1-glibc-2.8-deprecated-arg-max.patch"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}"/mcs/build/deps/use-monolite
econf ${myconf} $(use_with moonlight) || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.9.ebuild,v 1.2 2008/05/31 12:31:14 jurek Exp $
inherit eutils flag-o-matic multilib autotools
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
HOMEPAGE="http://www.go-mono.com"
SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 X11 )"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="X nptl moonlight"
RDEPEND="!
nptl? ( >=sys-devel/gcc-3.3.5-r1 )
ppc? (
>=sys-devel/gcc-3.2.3-r4
>=sys-libs/glibc-2.3.3_pre20040420
)
X? ( >=dev-dotnet/libgdiplus-1.9 )"
DEPEND="${RDEPEND}
sys-devel/bc
>=dev-util/pkgconfig-0.19"
PDEPEND="dev-dotnet/pe-format"
# Parallel build unfriendly
MAKEOPTS="${MAKEOPTS} -j1"
RESTRICT="test"
function get-memory-total() {
cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
}
src_unpack() {
unpack ${A}
cd "${S}"
# Fix the install path, install into $(libdir)
sed -i -e 's:$(prefix)/lib:$(libdir):' \
-i -e 's:$(exec_prefix)/lib:$(libdir):' \
-i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
"${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in \
|| die "sed failed"
sed -i -e 's:^libdir.*:libdir=@libdir@:' \
-i -e 's:${prefix}/lib/:${libdir}/:g' \
"${S}"/{scripts,}/*.pc.in \
|| die "sed failed"
# Remove dummy ltconfig and let libtool handle it
rm -f "${S}"/libgc/ltconfig
epatch "${FILESDIR}/${PN}-biginteger_overflow.diff"
einfo "Regenerating the build files, this will take some time..."
eautoreconf
}
src_compile() {
# mono's build system is finiky, strip the flags
strip-flags
# Enable the 2.0 FX, use the system glib and the gc
local myconf="--with-preview=yes --with-glib=system --with-gc=included"
# Threading support
if use amd64 || use nptl ; then
# force __thread on amd64 (bug #83770)
myconf="${myconf} --with-tls=__thread"
else
myconf="${myconf} --with-tls=pthread"
fi
# Enable large heaps if memory is more than >=3GB
if [[ $(get-memory-total) -ge 3145728 ]] ; then
myconf="${myconf} --with-large-heap=yes"
fi
# Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
touch "${S}"/mcs/build/deps/use-monolite
econf ${myconf} $(use_with moonlight) || die "configure failed"
emake EXTERNAL_MCS=false EXTERNAL_MONO=false
if [[ "$?" -ne "0" ]]; then
ewarn "If you are using any hardening features such as"
ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
ewarn "why build has failed. In this case turn any active security"
ewarn "enhancements off and try emerging the package again"
die
fi
}
src_test() {
vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
mkdir -p "${T}/home/mono" || die "mkdir home failed"
export HOME="${T}/home/mono"
export XDG_CONFIG_HOME="${T}/home/mono"
export XDG_DATA_HOME="${T}/home/mono"
if ! LC_ALL=C emake -j1 check; then
hasq test $FEATURES && die "Make check failed. See above for details."
hasq test $FEATURES || eerror "Make check failed. See above for details."
fi
}
src_install() {
emake DESTDIR="${D}" install || die "install failed"
dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
docinto libgc
dodoc libgc/ChangeLog
}